libcatalyst-plugin-subrequest-perl_0.20-2_all.deb


Advertisement

Description

libcatalyst-plugin-subrequest-perl - deprecated Catalist plugin for making subrequests to actions

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcatalyst-plugin-subrequest-perl
Package version: 0.20
Package release: 2
Package architecture: all
Package type: deb
Installed size: 10 B
Download size: 7.72 KB
Official Mirror: ftp.br.debian.org
Catalyst::Plugin::SubRequest is a Catalyst plugin for making subrequests to actions. It uses the catalyst dispatcher, so it will work like an external URL call. Methods are provided both to get the body of the response and the full response (Catalyst::Response) object. From: https://rt.cpan.org/Public/Bug/Display.html?id=57544: $c->visit() is a perfect substitute for Catalyst::Plugin::SubRequest and works fine with content types, response headers, request headers, request method, missing localization etc. Catalyst is an elegant Model-View-Controller web application framework written in Perl.

Replaces

  • libcatalyst-modules-perl << 48~

    Download

    Source package: libcatalyst-plugin-subrequest-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcatalyst-plugin-subrequest-perl deb package:
      # sudo apt-get install libcatalyst-plugin-subrequest-perl

    Files

    • /usr/share/doc/libcatalyst-plugin-subrequest-perl/changelog.Debian.gz
    • /usr/share/doc/libcatalyst-plugin-subrequest-perl/changelog.gz
    • /usr/share/doc/libcatalyst-plugin-subrequest-perl/copyright
    • /usr/share/man/man3/Catalyst::Plugin::SubRequest.3pm.gz
    • /usr/share/perl5/Catalyst/Plugin/SubRequest.pm

    Changelog

    2014-05-15 - Damyan Ivanov <dmn@debian.org> libcatalyst-plugin-subrequest-perl (0.20-2) unstable; urgency=medium * fix version of broken/replaces libcatalyst-modules-perl

    2014-05-14 - Damyan Ivanov <dmn@debian.org> libcatalyst-plugin-subrequest-perl (0.20-1) unstable; urgency=low * Initial Release. Spin-off from libcatalyst-modules-perl, where it was bundled. The module is deprecated upstream, but is still needed from a smooth transition of libcatalyst-modules-perl from a bundle to a meta-package depending on separate packages.

    Advertisement
    Advertisement